<?php
class Document
{
  var $object;
  var $dataSource;

  function Document($_obj,$_dataSource)
  {
    $this->object = $_obj;
    $this->dataSource = $_dataSource;
  }

  function setValue($_key,$_value)
  {
    $result = xmlrpc_decode($this->object);
    $result[$_key] = $_value;
    $this->object = xmlrpc_encode($result);
  }

  function save()
  {
    $this->dataSource->insertObject($this->object);
  }

  function getValue($_key)
  {
    if ($this->object)
    {
      $result = $this->object->structmem($_key);
      if ($result)
        return $result->scalarval();
    }
  }
}

?>
