<?php

class XmlRpcClient
{
  var $client;
  
  function XmlRpcClient($_url,$_user,$_password)
  {
    $withouthtml = explode ("://", $_url);
    $hostport = explode (":", $withouthtml[1]);
    $host = $hostport[0] ;
    $porturl = explode("/",$hostport[1]);
    $port = $porturl[0];
    $url = "/" . $porturl[1] . "/" . $porturl[2];

    $this->client = new xmlrpc_client($url, $host, $port);
    $this->client->setCredentials($_user,$_password);
  }

  function setDebug($_mode)
  {
    if ($this->client)
      @$this->client->setDebug($_mode);
  }

  function sendMessage($message)
  {
    if ($this->client)
      {
      @$result = $this->client->send($message);
      @$value = $result->value();

      if(!$result->faultCode())
      {
        return $value;
      }
    }
  }
}
